{$INCLUDE Switches.inc}
program Integrated;

uses
  UDpiControls, Forms, Interfaces, SysUtils, Protocol, GameServer, Direct, Start, Messg, Inp,
  Back, Log, LocalPlayer, ClientTools, Tribes, IsoEngine, Term, CityScreen, Nego,
  NoTerm, ScreenTools, Directories;

{$if declared(UseHeapTrace)}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}

{$R *.res}

begin
  {$if declared(UseHeapTrace)}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  DotNetClient := nil;
  DpiApplication.Initialize;
  DpiApplication.Title := 'c-evo';
  Directories.UnitInit;
  ScreenTools.UnitInit;
  DpiApplication.CreateForm(TDirectDlg, DirectDlg);
  DpiApplication.CreateForm(TStartDlg, StartDlg);
  DpiApplication.CreateForm(TMessgDlg, MessgDlg);
  DpiApplication.CreateForm(TInputDlg, InputDlg);
  DpiApplication.CreateForm(TBackground, Background);
  DpiApplication.CreateForm(TLogDlg, LogDlg);
  DpiApplication.Run;
  ScreenTools.UnitDone;
end.
