{$INCLUDE Switches.inc}
unit LocalPlayer;

interface

procedure Client(Command, Player: integer; var Data); stdcall;

procedure SetAIName(p: integer; Name: string);

implementation

uses
  UDpiControls, Term, CityScreen, Draft, MessgEx, Select, CityType, Help, UnitStat, Diagram,
  NatStat, Wonders, Nego, Enhance, BaseWin, Battle, Rates, TechTree,

  Forms;

var
  FormsCreated: boolean;

procedure Client;
begin
  if not FormsCreated then
  begin
    FormsCreated := true;
    // TODO: Changing application name in runtime will cause change of Linux XML registry file path
//    DpiApplication.MainForm := MainScreen;
    DpiApplication.CreateForm(TMainScreen, MainScreen);
    DpiApplication.CreateForm(TCityDlg, CityDlg);
    DpiApplication.CreateForm(TModalSelectDlg, ModalSelectDlg);
    DpiApplication.CreateForm(TListDlg, ListDlg);
    DpiApplication.CreateForm(TMessgExDlg, MessgExDlg);
    DpiApplication.CreateForm(TDraftDlg, DraftDlg);
    DpiApplication.CreateForm(TCityTypeDlg, CityTypeDlg);
    DpiApplication.CreateForm(THelpDlg, HelpDlg);
    DpiApplication.CreateForm(TUnitStatDlg, UnitStatDlg);
    DpiApplication.CreateForm(TDiaDlg, DiaDlg);
    DpiApplication.CreateForm(TNatStatDlg, NatStatDlg);
    DpiApplication.CreateForm(TWondersDlg, WondersDlg);
    DpiApplication.CreateForm(TNegoDlg, NegoDlg);
    DpiApplication.CreateForm(TEnhanceDlg, EnhanceDlg);
    DpiApplication.CreateForm(TBattleDlg, BattleDlg);
    // DpiApplication.CreateForm(TAdvisorDlg, AdvisorDlg);
    DpiApplication.CreateForm(TRatesDlg, RatesDlg);
    DpiApplication.CreateForm(TTechTreeDlg, TechTreeDlg);
  end;
  MainScreen.Client(Command, Player, Data);
end;

procedure SetAIName(p: integer; Name: string);
begin
  MainScreen.SetAIName(p, Name);
end;

initialization

FormsCreated := false;

end.
